<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Update User</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">Update User</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/users/update/{id}(id=${userDto.id})}" th:object="${userDto}" method="post">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="name" class="col-form-label">Name</label>
                        <input type="text" th:field="*{name}" class="form-control" id="name" placeholder="Name">
                        <span th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="firstName" class="col-form-label">First Name</label>
                        <input type="text" th:field="*{firstName}" class="form-control" id="firstName" placeholder="First Name">
                        <span th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="email" class="col-form-label">Email</label>
                        <input type="text" th:field="*{email}" class="form-control" id="email" placeholder="Email">
                        <span th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="country" class="col-form-label">Country</label>
                        <input type="text" th:field="*{country}" class="form-control" id="country" placeholder="Country">
                        <span th:if="${#fields.hasErrors('country')}" th:errors="*{country}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="address" class="col-form-label">Address</label>
                        <input type="text" th:field="*{address}" class="form-control" id="address" placeholder="Address">
                        <span th:if="${#fields.hasErrors('address')}" th:errors="*{address}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="password" class="col-form-label">Password</label>
                        <input type="password" th:field="*{password}" class="form-control" id="password" placeholder="Password">
                        <span th:if="${#fields.hasErrors('password')}" th:errors="*{password}" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-6">
                        <label for="role" class="col-form-label">ROLE</label>
                        <select class="form-control" th:field="*{roleId}" id="role">
                            <option th:each="role : ${userDto.availableRoles}"
                                    th:value="${role.id}"
                                    th:text="${role.name}">
                            </option>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <input type="submit" class="btn btn-primary" value="Update User">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <p><a th:href="@{/customer/}" class="btn btn-primary btn-sm">Go Back</a></p>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>